[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.HandleException

HandleException method for handling an exception; attempts to maintain program execution if possible, otherwise exits gracefully

## Declaration

Source position: forms.pp line 1308

`public procedure TApplication.HandleException(`
`Sender: TObject`
`); override;`

## Description

Individual exception handler methods should be supplied by the application programmer, to override place-holder entries declared in ancestor classes.
This method checks whether the application is required to halt if an exception occurs, or invokes the appropriate handler.
It also writes details of the exception to the appropriate place for debugging.

## See also

TCustomApplication.HandleException

The latest version of this document can be found at lazarus-ccr.sourceforge.net.